Subject: Re: [PATCH bpf-next 2/2] selftests/bpf: Adding test for arg dereference in extension trace

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Fri, 11 Sep 2020 13:01:33 +0200

Andrii Nakryiko <[email-masked]> writes:

> On Wed, Sep 9, 2020 at 8:38 AM Jiri Olsa <[email-masked]> wrote:
>>
>> Adding test that setup following program:
>>
>>   SEC("classifier/test_pkt_md_access")
>>   int test_pkt_md_access(struct __sk_buff *skb)
>>
>> with its extension:
>>
>>   SEC("freplace/test_pkt_md_access")
>>   int test_pkt_md_access_new(struct __sk_buff *skb)
>>
>> and tracing that extension with:
>>
>>   SEC("fentry/test_pkt_md_access_new")
>>   int BPF_PROG(fentry, struct sk_buff *skb)
>>
>> The test verifies that the tracing program can
>> dereference skb argument properly.
>>
>> Signed-off-by: Jiri Olsa <[email-masked]>

Just FYI, I included this same patch in my freplace series. I didn't
change anything in the version I just resent, but I'll work with Jiri
and get an updated version of this into the next version based on your
comments here... :)

-Toke